Returns a list of summaries filtered by congress and by bill type, sorted by date of last update.

The result set can be further filtered using 'fromDateTime' and 'toDateTime' parameters. It can also be sorted by 'updateDate'.

  • fromDateTime: start timestamp to filter by update date.

  • toDateTime: end timestamp to filter by update date.

  • sort: sort by 'updateDate' in ascending (asc) or descending (desc) order.

GET /summaries/:congress/:billType

Example Request

/v3/summaries/117/hr?fromDateTime=2022-04-01T00:00:00Z&toDateTime=2022-04-03T00:00:00Z&sort=updateDate+desc
::

{
    "summaries": [
        {
            "actionDate": "2022-03-17",
            "actionDesc": "Introduced in House",
            "bill": {
                "congress": 117,
                "number": "7140",
                "originChamber": "House",
                "originChamberCode": "H",
                "title": "PROTECTS Act",
                "type": "HR",
                "url": "http://api.congress.gov/v3/bill/117/hr/7140?format=json"
            },
            "currentChamber": "House",
            "currentChamberCode": "H",
            "lastSummaryUpdateDate": "2022-04-01T21:01:45Z",
            "text": "<p><b>Promote Responsible Oversight and Targeted Employee background Check Transparency for Seniors Act or the PROTECTS Act</b></p> <p>This bill allows Medicaid and Medicare providers (e.g., skilled nursing facilities) to access, through the National Practitioner Data Bank, disciplinary information concerning affiliated physicians and other health care practitioners, as reported by state licensing authorities.</p>", # noqa
            "updateDate": "2022-04-02T03:49:06Z",
            "versionCode": "00"
        },
        ...
    ]
}
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
integer
required

The congress number. For example, the value can be 117.

string
required

The type of bill. Value can be hr, s, hjres, sjres, hconres, sconres, hres, or sres.

Query Params
string

The data format. Value can be xml or json.

Responses
200

successful operation

400

Invalid status value

Language
Credentials
Query
LoadingLoading…
Response
Click Try It! to start a request and see the response here!